@charset "utf-8";



.header.is-hide {
    transform: translateY(-100%);
}

.header .h_logo {
    max-width: 292px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.header .h_logo .link-text {
    display: flex;
    gap: 10px;

}

.header .h_logo .link-text p {
    padding-right: 10px;
    position: relative;
    font-family: var(--font-main);
    font-weight: 500;
    font-size: clamp(0.75rem, 0.72rem + 0.13vw, 0.875rem);
    color: #767676;
}

.header .h_logo .link-text p:last-child {
    padding-right: 0;
}

.header .h_logo .link-text p::after {
    content: "";
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    width: 1px;
    height: 100%;
    background-color: #767676;
    display: inline-block;
}

.header .h_logo .link-text p:last-child::after {
    content: none;
}

.hamburger {
    position: fixed;
    display: flex;
    gap: 6px;
    justify-content: center;
    align-items: center;
    top: 48px;
    right: 4%;
    width: 60px;
    height: 60px;
    background: #002A1D;
    border-radius: 50px;
    cursor: pointer;
    z-index: 100;
}

.hamburger::after {
    content: "メニュー";
    font-family: var(--font-main);
    font-weight: 700;
    font-size: clamp(0.625rem, 0.564rem + 0.26vw, 0.875rem);
    text-align: center;
    color: #002a1d;
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    margin: auto;
}

/* ドット（初期） */
.hamburger .line {
    width: 6px;
    height: 6px;
    border-radius: 50%;
    background-color: #A4CF4A;
    transition: all 0.4s ease;
}

/* アクティブ時：中央配置に切り替え */
.hamburger.active {
    display: block;
}

.hamburger.active::after {
    content: "閉じる";
}

.hamburger.active .line {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 20px;
    height: 2px;
    border-radius: 2px;
    transform-origin: center;
}

/* 上 → ／ */
.hamburger.active .line:first-child {
    transform: translate(-50%, -50%) rotate(45deg);
}

/* 真ん中消す */
.hamburger.active .line:nth-child(2) {
    opacity: 0;
}

/* 下 → ＼ */
.hamburger.active .line:nth-child(3) {
    transform: translate(-50%, -50%) rotate(-45deg);
}

/* メニューのスタイル */
.navigation {
    position: fixed;
    pointer-events: all;
    top: 48px;
    right: -100%;
    max-width: 836px;
    width: 90%;
    background: #fff;
    transition: all .8s;
    z-index: 99;
    border-radius: 24px;
    background: #fdfdfc;
    overflow: auto;
    height: 85vh;
}

.navigation .menu-inner {
    padding: 72px 200px 120px 120px;
}

.navigation.active {
    right: 12%;
}

.navigation .h_logo {
    margin-bottom: 24px;
}

.navigation a {
    transition: var(--default);
}

.navigation a:hover {
    opacity: 50%;
}


.navigation .menu-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 24px;
    padding-bottom: 56px;
    position: relative;
}

.navigation .menu-list::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;

    background-image: linear-gradient(to right, #A4CF4A 50%, transparent 0);
    background-size: 16px 2px;
    /* ← 間隔調整 */
    background-repeat: repeat-x;

    border-radius: 2px;
}

.navigation .menu-list .item {
    border-radius: 24px;
    background: #fdfdfc;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.08);
}

.navigation .menu-list .item a {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding: 30px 20px;
    height: 100%;
}

.navigation .menu-list .item a:hover {
    opacity: 1;
}

.navigation .menu-list .item a:hover .icon {
    transform: translateY(-5px);
}

.navigation .menu-list .item a:hover p {
    color: #7BB416;
}

.navigation .menu-list .item .icon {
    width: 51px;
    aspect-ratio: 1/1;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--default);
}

.navigation .menu-list .item p {
    font-family: var(--font-main);
    font-weight: 700;
    font-size: 15px;
    letter-spacing: 0.03em;
    line-height: calc(22/16);
    text-align: center;
    color: #000;
    transition: var(--default);
}

.navigation .menu-bottom {
    padding-top: 56px;
}

.navigation .menu-bottom .tel-link {
    display: grid;
    grid-template-areas: "icon tel"
        "time time";
    gap: 8px;
    grid-template-columns: max-content 1fr;
}

.navigation .menu-bottom .tel-link .icon {
    grid-area: icon;
    margin-top: 20px;
}

.navigation .menu-bottom .tel-link .num {
    grid-area: tel;
    font-family: var(--font-main);
    font-weight: 500;
    font-size: clamp(2rem, 1.879rem + 0.52vw, 2.5rem);
    letter-spacing: 0.03em;
    color: #002a1d;
}

.navigation .menu-bottom .tel-link .time {
    grid-area: time;
    font-family: var(--font-main);
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 0.03em;
    color: #002a1d;
}


@media (max-width: 1200px) {}



@media (max-width: 1023px) {



    .navigation.active {
        right: 5%;


    }

    .navigation {
        top: 14%;
        overflow: auto;
        height: 75vh;
    }



    .navigation .menu-inner {
        width: 90%;
        margin: 0 auto;
        padding: 32px 0 53px;
        height: 800px;
    }

    .navigation .h_logo {
        max-width: 100%;
        margin: 0 auto 24px;
    }

    .navigation a {
        display: flex;
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        gap: 8px;
    }

    .navigation a img {
        max-width: 162px;
        width: 100%;
    }

    .navigation .menu-list {
        display: flex;
        flex-direction: column;
        gap: 8px;
        padding-bottom: 48px;
    }

    .navigation .menu-list .item a {
        flex-direction: row;
        padding: 13px 24px;
        justify-content: flex-start;
        gap: 16px;
    }

    .navigation .menu-list .item .icon {
        width: 24px;
    }

    .navigation .menu-bottom {
        padding-top: 32px;
    }

    .navigation .menu-bottom .tel-link {
        width: fit-content;
        margin: 0 auto;
    }

    .navigation .menu-bottom .tel-link .icon {
        margin-top: 16px;
    }

    .navigation .menu-list .item p br {
        display: none;
    }

    .fv .h_logo a {
        display: flex;
        flex-direction: column-reverse;
        gap: 8px;
    }

    .fv .h_logo a img {
        max-width: 162px;
    }
}

@media (max-width: 767px) {
    .hamburger {
        top: 2%;
        width: 41px;
        height: 40px;
    }

    .hamburger .line {
        width: 4px;
        height: 4px;
    }

    .navigation {
        top: 12%;
    }


}


/* 管理画面用 */
.gjs-dashed .navigation {
    right: 0;
}